"""
Description
===========

Classes for Shelly(TM) IoT product family.

These classes implement the interface between Shelly IoT devices and
the Juham framework. They listen appropriate messages in the juham 
mqtt netwokr  and control their Shelly devices accordingly, as well as 
listen the sensor data generated by Shellys and publish it in the standard
Juham format.

"""

from .shellymotion_simulator import ShellyMotionSimulator
from .shellymotion import ShellyMotion
from .shellyplus1_simulator import ShellyPlus1Simulator
from .shellyplus1 import ShellyPlus1
from .shelly1g3 import Shelly1G3
from .shellypro3em import ShellyPro3EM
from .jshelly import JShelly

__all__ = [
    "ShellyMotionSimulator",
    "ShellyMotion",
    "ShellyPlus1Simulator",
    "ShellyPlus1",
    "Shelly1G3",
    "ShellyPro3EM",
    "JShelly",
]
